Ruby: rb_iseq_constant_body Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Structures | Public Types | Data Fields
rb_iseq_constant_body Struct Reference

## Data Structures
struct | rb_iseq_parameters
| parameter information More...
struct | iseq_insn_info

## Public Types
enum | lvar_state { lvar_uninitialized , lvar_initialized , lvar_reassigned }

## Data Fields
enum rb_iseq_type | type
unsigned int | iseq_size
VALUE * | iseq_encoded
struct rb_iseq_constant_body::rb_iseq_parameters | param
rb_iseq_location_t | location
struct rb_iseq_constant_body::iseq_insn_info | insns_info
const ID * | local_table
enum rb_iseq_constant_body::lvar_state * | lvar_states
struct iseq_catch_table * | catch_table
const struct rb_iseq_struct * | parent_iseq
struct rb_iseq_struct * | local_iseq
union iseq_inline_storage_entry * | is_entries
struct rb_call_data * | call_data
struct { |
rb_snum_t flip_count |
VALUE script_lines |
VALUE coverage |
VALUE pc2branchindex |
VALUE * original_iseq |
} | variable
unsigned int | local_table_size
unsigned int | ic_size
unsigned int | ise_size
unsigned int | ivc_size
unsigned int | icvarc_size
unsigned int | ci_size
unsigned int | stack_max
unsigned int | builtin_attrs
bool | prism
union { |
iseq_bits_t * list |
iseq_bits_t single |
} | mark_bits
struct rb_id_table * | outer_variables
const rb_iseq_t * | mandatory_only_iseq

## Detailed Description

Definition at line 405 of file vm_core.h.

## Member Enumeration Documentation

## ◆ lvar_state

enum rb_iseq_constant_body::lvar_state

Definition at line 501 of file vm_core.h.

## Field Documentation

## ◆ builtin_attrs

unsigned int rb_iseq_constant_body::builtin_attrs

Definition at line 533 of file vm_core.h.

## ◆ call_data

struct rb_call_data* rb_iseq_constant_body::call_data

Definition at line 515 of file vm_core.h.

## ◆ catch_table

struct iseq_catch_table* rb_iseq_constant_body::catch_table

Definition at line 508 of file vm_core.h.

## ◆ ci_size

unsigned int rb_iseq_constant_body::ci_size

Definition at line 530 of file vm_core.h.

## ◆ coverage

VALUE rb_iseq_constant_body::coverage

Definition at line 520 of file vm_core.h.

## ◆ flip_count

rb_snum_t rb_iseq_constant_body::flip_count

Definition at line 518 of file vm_core.h.

## ◆ ic_size

unsigned int rb_iseq_constant_body::ic_size

Definition at line 526 of file vm_core.h.

## ◆ icvarc_size

unsigned int rb_iseq_constant_body::icvarc_size

Definition at line 529 of file vm_core.h.

## ◆ is_entries

union iseq_inline_storage_entry* rb_iseq_constant_body::is_entries

Definition at line 514 of file vm_core.h.

## ◆ ise_size

unsigned int rb_iseq_constant_body::ise_size

Definition at line 527 of file vm_core.h.

## ◆ iseq_encoded

VALUE* rb_iseq_constant_body::iseq_encoded

Definition at line 409 of file vm_core.h.

## ◆ iseq_size

unsigned int rb_iseq_constant_body::iseq_size

Definition at line 408 of file vm_core.h.

## ◆ ivc_size

unsigned int rb_iseq_constant_body::ivc_size

Definition at line 528 of file vm_core.h.

## ◆ list

iseq_bits_t* rb_iseq_constant_body::list

Definition at line 538 of file vm_core.h.

## ◆ local_iseq

struct rb_iseq_struct* rb_iseq_constant_body::local_iseq

Definition at line 512 of file vm_core.h.

## ◆ local_table

const ID* rb_iseq_constant_body::local_table

Definition at line 499 of file vm_core.h.

## ◆ local_table_size

unsigned int rb_iseq_constant_body::local_table_size

Definition at line 525 of file vm_core.h.

## ◆ location

rb_iseq_location_t rb_iseq_constant_body::location

Definition at line 487 of file vm_core.h.

## ◆ mandatory_only_iseq

const rb_iseq_t* rb_iseq_constant_body::mandatory_only_iseq

Definition at line 544 of file vm_core.h.

## ◆ original_iseq

VALUE* rb_iseq_constant_body::original_iseq

Definition at line 522 of file vm_core.h.

## ◆ outer_variables

struct rb_id_table* rb_iseq_constant_body::outer_variables

Definition at line 542 of file vm_core.h.

## ◆ parent_iseq

const struct rb_iseq_struct* rb_iseq_constant_body::parent_iseq

Definition at line 511 of file vm_core.h.

## ◆ pc2branchindex

VALUE rb_iseq_constant_body::pc2branchindex

Definition at line 521 of file vm_core.h.

## ◆ prism

bool rb_iseq_constant_body::prism

Definition at line 535 of file vm_core.h.

## ◆ script_lines

VALUE rb_iseq_constant_body::script_lines

Definition at line 519 of file vm_core.h.

## ◆ single

iseq_bits_t rb_iseq_constant_body::single

Definition at line 539 of file vm_core.h.

## ◆ stack_max

unsigned int rb_iseq_constant_body::stack_max

Definition at line 531 of file vm_core.h.

## ◆ type

enum rb_iseq_type rb_iseq_constant_body::type

Definition at line 406 of file vm_core.h.

The documentation for this struct was generated from the following file:

- vm_core.h